update buildroot to 2017.02.11

This commit is contained in:
jbnadal
2018-05-22 15:35:47 +02:00
parent 4bf1f5e091
commit a3c10bd762
9257 changed files with 433426 additions and 1701 deletions

View File

@@ -0,0 +1,8 @@
config BR2_PACKAGE_SER2NET
bool "ser2net"
depends on BR2_USE_MMU # fork()
help
Ser2net provides a way for a user to connect from a network
connection to a serial port..
http://ser2net.sourceforge.net

View File

@@ -0,0 +1,43 @@
#!/bin/sh
#
# Startup script for ser2net
#
start() {
printf "Starting ser2net: "
if [ ! -f /etc/ser2net.conf ] ; then
echo "no configuration file"
exit 1
fi
start-stop-daemon -S -q --exec /usr/sbin/ser2net -- -P /var/run/ser2net.pid
[ $? = 0 ] && echo "OK" || echo "FAIL"
}
stop() {
printf "Shutting down ser2net: "
start-stop-daemon -K -q -p /var/run/ser2net.pid
[ $? = 0 ] && echo "OK" || echo "FAIL"
}
restart() {
stop
start
}
case "$1" in
start)
start
;;
stop)
stop
;;
restart)
restart
;;
*)
echo "Usage: ser2net {start|stop|restart}"
exit 1
esac
exit $?

View File

@@ -0,0 +1,2 @@
# Locally computed:
sha256 3d1cef5f48df8291e57d4d7d4eac2fc809ae644a5524ffca4aebef0f4e4153dc ser2net-3.3.tar.gz

View File

@@ -0,0 +1,23 @@
################################################################################
#
# ser2net
#
################################################################################
SER2NET_VERSION = 3.3
SER2NET_SITE = http://downloads.sourceforge.net/project/ser2net/ser2net
SER2NET_LICENSE = GPLv2+
SER2NET_LICENSE_FILES = COPYING
ifeq ($(BR2_TOOLCHAIN_HAS_THREADS),y)
SER2NET_CONF_OPTS += --with-pthreads
else
SER2NET_CONF_OPTS += --without-pthreads
endif
define SER2NET_INSTALL_INIT_SYSV
$(INSTALL) -D -m 755 package/ser2net/S50ser2net \
$(TARGET_DIR)/etc/init.d/S50ser2net
endef
$(eval $(autotools-package))